Bug 429895 - Adding single attribute causes ldapsearch to return many empty attributes
Adding single attribute causes ldapsearch to return many empty attributes
Status: CLOSED ERRATA
Product: freeIPA
Classification: Community
Component: WebUI (Show other bugs)
1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: freeipa10 429034
  Show dependency treegraph
 
Reported: 2008-01-23 12:22 EST by David O'Brien
Modified: 2015-01-04 18:30 EST (History)
1 user (show)

See Also:
Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Output from ldapsearch commands described in Description (2.85 KB, application/octet-stream)
2008-01-23 12:22 EST, David O'Brien
no flags Details
Don't set blank values so we don't end up with empty attributes (10.61 KB, patch)
2008-01-29 16:53 EST, Rob Crittenden
no flags Details | Diff

  None (edit)
Description David O'Brien 2008-01-23 12:22:59 EST
Description of problem:

Probably best to refer to this thread, or the attachment:
http://post-office.corp.redhat.com/archives/single-sign-on/2008-January/msg00247.html

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Use ipa-adduser to add a user with minimal attributes
2. Use ldapsearch to retrieve the attributes for that user (minimal attributes)
3. Use ipa-usermod to add a further attribute (e.g. zip code)
4. Re-run ldapsearch
  
Actual results:
The scope of attributes returned in the second search is much greater than in
the first. It includes lots of empty attributes.


Expected results:


Additional info:
Comment 1 David O'Brien 2008-01-23 12:22:59 EST
Created attachment 292675 [details]
Output from ldapsearch commands described in Description
Comment 2 Rob Crittenden 2008-01-29 16:53:27 EST
Created attachment 293349 [details]
Don't set blank values so we don't end up with empty attributes
Comment 5 Rob Crittenden 2008-02-06 15:59:20 EST
Committed in changeset 628
Comment 6 Yi Zhang 2008-05-28 14:14:37 EDT
QA Verified on May 28, 2008 (Yi)

Build used: May 28, 2008 (i386)


test as below:

ipaserver[05/28/08 11:11] ipa-moduser cmd101 --setattr "postalcode=10002"
cmd101 successfully updated
ipaserver[05/28/08 11:11] ipa-finduser cmd101
Full Name: cmd 101
Home Directory: /home/cmd101
Login Shell: /bin/sh
Login: cmd101

ipaserver[05/28/08 11:11] ipa-finduser cmd101 -a
dn: uid=cmd101,cn=users,cn=accounts,dc=ipaqa,dc=com
Full Name: cmd 101
GECOS: cmd101
GID: 1002
First Name: cmd
Home Directory: /home/cmd101
krblastpwdchange: 20080528162308Z
krbpasswordexpiration: 20080528162308Z
krbprincipalname: cmd101@IPAQA.COM
Login Shell: /bin/sh
memberof: cn=ipausers,cn=groups,cn=accounts,dc=ipaqa,dc=com
objectclass: 
        top
        person
        organizationalPerson
        inetOrgPerson
        inetUser
        posixAccount
        krbPrincipalAux
        radiusprofile
ZIP: 10002
Last Name: 101


=== ldap search as below ==========
ipaserver[05/28/08 11:11] /usr/lib/mozldap/ldapsearch -D "cn=directory manager"
-w redhat123 -s sub -b "dc=ipaqa,dc=com" "uid=cmd101" "*"
version: 1
dn: uid=cmd101,cn=users,cn=accounts,dc=ipaqa,dc=com
uid: cmd101
objectClass: top
objectClass: person
objectClass: organizationalPerson
objectClass: inetOrgPerson
objectClass: inetUser
objectClass: posixAccount
objectClass: krbPrincipalAux
objectClass: radiusprofile
loginShell: /bin/sh
gidNumber: 1002
gecos: cmd101
sn: 101
homeDirectory: /home/cmd101
krbPrincipalName: cmd101@IPAQA.COM
givenName: cmd
cn: cmd 101
uidNumber: 1100
memberOf: cn=ipausers,cn=groups,cn=accounts,dc=ipaqa,dc=com
krbPrincipalKey:: MIICOqADAgEBoQMCAQGiAwIBAaMDAgEApIICIjCCAh4wZ6AaMBigAwIBAKE
 RBA9JUEFRQS5DT01jbWQxMDGhSTBHoAMCARKhQAQ+IACIHTOa4v1v1sTEMfc7b6KEn0B1S2tvI/E
 VUpTq5wq1oCzPbJso7Mry9FVmmq9AU3kss0Pfh7YJQE5l1FUwV6AaMBigAwIBAKERBA9JUEFRQS5
 DT01jbWQxMDGhOTA3oAMCARGhMAQuEAAadYnT78rmJCcCDCEgJOWQlHH4ZZ4/OL57bt/jZPaIV+p
 ubesIGTW4tWx1QzBfoBowGKADAgEAoREED0lQQVFBLkNPTWNtZDEwMaFBMD+gAwIBEKE4BDYYAO0
 IO3ZsTPKsgAFVEjm64D56uJ68QyKEm2UDqnMfDLYVdrUWn2D2bDrJYDr7+GYGR9nXf6YwV6AaMBi
 gAwIBAKERBA9JUEFRQS5DT01jbWQxMDGhOTA3oAMCARehMAQuEAB2H024u1p+OaTipj1ZnEGA+/8
 aBkbKzPHffjH8SU3gBPCnNSdEkcbEvqmYIjBPoBowGKADAgEAoREED0lQQVFBLkNPTWNtZDEwMaE
 xMC+gAwIBCKEoBCYIAAtXw5HHg2QUw2AKoILfZToRyulLq9imTvv2Im/I3OGF/lABjjBPoBowGKA
 DAgEAoREED0lQQVFBLkNPTWNtZDEwMaExMC+gAwIBA6EoBCYIAJubp/3cJp9sfzB4+dwAYnfc984
 EtCLq4pMqPsIFZmMnIjdxxg==
krbLastPwdChange: 20080528162308Z
krbPasswordExpiration: 20080528162308Z
userPassword: {SSHA}NvJiJcJAuM/Kl/5XNYGRL5pJRwjTpdgoyxzCBg==
postalCode: 10002

Note You need to log in before you can comment on or make changes to this bug.